> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.coperniq.io/api-reference/accounts/create-account/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.coperniq.io/_mcp/server. # Create Account POST https://api.coperniq.io/v1/accounts Content-Type: application/json Create a new account with required and optional fields. Required fields: - `title`: Account name - `address`: Account location Optional fields: - `accountType`: Account type (RESIDENTIAL/COMMERCIAL) - `value`: Account value - `size`: Account size - `primaryEmail`/`primaryPhone`: Contact information - `contacts`: Contact IDs only (no name, email, phone, etc.). **The contacts must be created first via POST /contacts.** - `custom`: Custom fields object Note: If primaryEmail or primaryPhone is provided and no contacts are provided, a contact will be automatically created or matched. **Note:** The `/clients` path is an alias for `/accounts` and will continue to work until users are individually notified and migrated. Reference: https://docs.coperniq.io/api-reference/accounts/create-account ## Authentication - `x-api-key` header (required) — API Key authentication via header ## Request ### Query parameters - `allow_new_options` (boolean, optional, default: false) — Whether to allow creation of new dropdown options during record creation - `match_by` (enum, optional, default: title) — Field to use for matching existing records - Allowed values: `title`, `primaryEmail`, `primaryPhone`, `address` - `match_found_strategy` (enum, optional, default: skip) — Strategy to use when a match is found - Allowed values: `skip`, `replace`, `enrich` ### Body (application/json) This endpoint expects an AccountUpsert. - `title` (string, required) — Account name - `address` (list of string, required) — An array containing a single string, which represents the primary account location/address. - `description` (string, optional, nullable) — Account description - `accountType` (enum, optional) — Account type - Allowed values: `RESIDENTIAL`, `COMMERCIAL` - `ownerId` (integer, optional, nullable) — ID of the owning user - `primaryEmail` (string, optional) — Primary contact email - `primaryPhone` (string, optional) — Primary contact phone - `contacts` (list of integer, optional, nullable) — Contact IDs only (no name, email, phone, etc.). The contacts must be created first via POST /contacts. The first ID in the array is treated as the primary contact. - `custom` (map from string to any, optional) — Custom fields ## Response ### 200 Matching account found - `id` (integer, optional) — Unique identifier - `createdAt` (string, optional) — Creation timestamp - `updatedAt` (string, optional) — Timestamp of the most recent update to the record, including changes to its custom property values. - `title` (string, optional) — Record title/name - `description` (string, optional, nullable) — Record description - `address` (list of string, optional) — Record location/address - `isActive` (boolean, optional) — Whether the record is active - `primaryEmail` (string, optional, nullable) — Primary contact email - `primaryPhone` (string, optional, nullable) — Primary contact phone - `number` (integer, optional) — Record number (e.g., 1234) - `createdBy` (UserSummary, optional, nullable) — User who created the record. Null when the record was created by a non-user actor (e.g. automation or a contact). - `updatedBy` (UserSummary, optional, nullable) — User who last edited a field on the record, derived from the changelog. Null when the record has never been edited or the last edit was made by a non-user actor. - `custom` (map from string to any, optional) — Custom fields - `accountType` (enum, optional, nullable) — Type of account (residential or commercial) - Allowed values: `RESIDENTIAL`, `COMMERCIAL` - `contacts` (list of ContactRef, optional) — On GET requests, only populated when include_contacts=true is passed. Always populated on POST (create) and PATCH (update) responses. Ordered with the primary contact first, capped at 20 contacts. ### 201 Account created successfully - `id` (integer, optional) — Unique identifier - `createdAt` (string, optional) — Creation timestamp - `updatedAt` (string, optional) — Timestamp of the most recent update to the record, including changes to its custom property values. - `title` (string, optional) — Record title/name - `description` (string, optional, nullable) — Record description - `address` (list of string, optional) — Record location/address - `isActive` (boolean, optional) — Whether the record is active - `primaryEmail` (string, optional, nullable) — Primary contact email - `primaryPhone` (string, optional, nullable) — Primary contact phone - `number` (integer, optional) — Record number (e.g., 1234) - `createdBy` (UserSummary, optional, nullable) — User who created the record. Null when the record was created by a non-user actor (e.g. automation or a contact). - `updatedBy` (UserSummary, optional, nullable) — User who last edited a field on the record, derived from the changelog. Null when the record has never been edited or the last edit was made by a non-user actor. - `custom` (map from string to any, optional) — Custom fields - `accountType` (enum, optional, nullable) — Type of account (residential or commercial) - Allowed values: `RESIDENTIAL`, `COMMERCIAL` - `contacts` (list of ContactRef, optional) — On GET requests, only populated when include_contacts=true is passed. Always populated on POST (create) and PATCH (update) responses. Ordered with the primary contact first, capped at 20 contacts. ## Errors ### 400 Bad Request Error Invalid request - `message` (string, optional) - `code` (enum, optional) - Allowed values: `UNAUTHORIZED` - `field` (string, optional) — Field that caused the validation error (if applicable) ### 401 Unauthorized Error Authentication failed - `message` (string, optional) - `code` (enum, optional) - Allowed values: `UNAUTHORIZED` ## Types ### UserSummary Minimal user representation used in responses - `id` (integer, optional) - `firstName` (string, optional, nullable) - `lastName` (string, optional, nullable) - `email` (string, optional, nullable) - `avatarUrl` (string, optional, nullable) ### ContactRef - `id` (integer, optional) - `name` (string, optional) - `title` (string, optional, nullable) — Contact title (e.g. job title) - `description` (string, optional, nullable) - `emails` (list of string, optional) - `phones` (list of string, optional) - `isPrimary` (boolean, optional) — True for the primary contact (the first contact in the list). At most one contact is primary. ## Examples ### Example 1 **Request** ```json { "title": "string", "address": [ "1600 Pennsylvania Ave NW, Washington, DC 20500" ] } ``` **Response** ```json { "id": 1, "createdAt": "2024-01-15T09:30:00Z", "updatedAt": "2024-01-15T09:30:00Z", "title": "string", "description": "string", "address": [ "string" ], "isActive": true, "primaryEmail": "string", "primaryPhone": "string", "number": 1, "createdBy": { "id": 1, "firstName": "string", "lastName": "string", "email": "string", "avatarUrl": "string" }, "updatedBy": { "id": 1, "firstName": "string", "lastName": "string", "email": "string", "avatarUrl": "string" }, "custom": {}, "accountType": "RESIDENTIAL", "contacts": [ { "id": 1, "name": "string", "title": "string", "description": "string", "emails": [ "string" ], "phones": [ "string" ], "isPrimary": true } ] } ``` **SDK Code** ```python import requests url = "https://api.coperniq.io/v1/accounts" payload = { "title": "string", "address": ["1600 Pennsylvania Ave NW, Washington, DC 20500"] } headers = { "x-api-key": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.coperniq.io/v1/accounts'; const options = { method: 'POST', headers: {'x-api-key': '', 'Content-Type': 'application/json'}, body: '{"title":"string","address":["1600 Pennsylvania Ave NW, Washington, DC 20500"]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.coperniq.io/v1/accounts" payload := strings.NewReader("{\n \"title\": \"string\",\n \"address\": [\n \"1600 Pennsylvania Ave NW, Washington, DC 20500\"\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("x-api-key", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.coperniq.io/v1/accounts") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["x-api-key"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"title\": \"string\",\n \"address\": [\n \"1600 Pennsylvania Ave NW, Washington, DC 20500\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.coperniq.io/v1/accounts") .header("x-api-key", "") .header("Content-Type", "application/json") .body("{\n \"title\": \"string\",\n \"address\": [\n \"1600 Pennsylvania Ave NW, Washington, DC 20500\"\n ]\n}") .asString(); ``` ```php request('POST', 'https://api.coperniq.io/v1/accounts', [ 'body' => '{ "title": "string", "address": [ "1600 Pennsylvania Ave NW, Washington, DC 20500" ] }', 'headers' => [ 'Content-Type' => 'application/json', 'x-api-key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.coperniq.io/v1/accounts"); var request = new RestRequest(Method.POST); request.AddHeader("x-api-key", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"title\": \"string\",\n \"address\": [\n \"1600 Pennsylvania Ave NW, Washington, DC 20500\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "x-api-key": "", "Content-Type": "application/json" ] let parameters = [ "title": "string", "address": ["1600 Pennsylvania Ave NW, Washington, DC 20500"] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.coperniq.io/v1/accounts")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ### Example 2 **Request** ```json { "title": "string", "address": [ "1600 Pennsylvania Ave NW, Washington, DC 20500" ] } ``` **Response** ```json { "id": 1, "createdAt": "2024-01-15T09:30:00Z", "updatedAt": "2024-01-15T09:30:00Z", "title": "string", "description": "string", "address": [ "string" ], "isActive": true, "primaryEmail": "string", "primaryPhone": "string", "number": 1, "createdBy": { "id": 1, "firstName": "string", "lastName": "string", "email": "string", "avatarUrl": "string" }, "updatedBy": { "id": 1, "firstName": "string", "lastName": "string", "email": "string", "avatarUrl": "string" }, "custom": {}, "accountType": "RESIDENTIAL", "contacts": [ { "id": 1, "name": "string", "title": "string", "description": "string", "emails": [ "string" ], "phones": [ "string" ], "isPrimary": true } ] } ``` **SDK Code** ```python import requests url = "https://api.coperniq.io/v1/accounts" payload = { "title": "string", "address": ["1600 Pennsylvania Ave NW, Washington, DC 20500"] } headers = { "x-api-key": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.coperniq.io/v1/accounts'; const options = { method: 'POST', headers: {'x-api-key': '', 'Content-Type': 'application/json'}, body: '{"title":"string","address":["1600 Pennsylvania Ave NW, Washington, DC 20500"]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.coperniq.io/v1/accounts" payload := strings.NewReader("{\n \"title\": \"string\",\n \"address\": [\n \"1600 Pennsylvania Ave NW, Washington, DC 20500\"\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("x-api-key", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.coperniq.io/v1/accounts") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["x-api-key"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"title\": \"string\",\n \"address\": [\n \"1600 Pennsylvania Ave NW, Washington, DC 20500\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.coperniq.io/v1/accounts") .header("x-api-key", "") .header("Content-Type", "application/json") .body("{\n \"title\": \"string\",\n \"address\": [\n \"1600 Pennsylvania Ave NW, Washington, DC 20500\"\n ]\n}") .asString(); ``` ```php request('POST', 'https://api.coperniq.io/v1/accounts', [ 'body' => '{ "title": "string", "address": [ "1600 Pennsylvania Ave NW, Washington, DC 20500" ] }', 'headers' => [ 'Content-Type' => 'application/json', 'x-api-key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.coperniq.io/v1/accounts"); var request = new RestRequest(Method.POST); request.AddHeader("x-api-key", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"title\": \"string\",\n \"address\": [\n \"1600 Pennsylvania Ave NW, Washington, DC 20500\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "x-api-key": "", "Content-Type": "application/json" ] let parameters = [ "title": "string", "address": ["1600 Pennsylvania Ave NW, Washington, DC 20500"] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.coperniq.io/v1/accounts")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Official Coperniq API documentation. Build integrations for solar and construction project management — projects, opportunities, work orders, invoices, webhooks, and more.